part of 'exercise_plan_bloc.dart';

@immutable
abstract class ExercisePlanEvent extends Equatable {
  const ExercisePlanEvent();
  @override
  List<Object> get props => [];
}

class ExercisePlanLoad extends ExercisePlanEvent {
  const ExercisePlanLoad();
}

// update UI
class ExercisePlanUpdateUI extends ExercisePlanEvent {
  final WorkoutMenuTree workoutTree;
  const ExercisePlanUpdateUI({required this.workoutTree});

  @override
  List<Object> get props => [workoutTree];
}

class ExercisePlanRemoveExercise extends ExercisePlanEvent {
  final ExercisePlanDetail exercisePlanDetail;
  const ExercisePlanRemoveExercise({required this.exercisePlanDetail});

  @override
  List<Object> get props => [exercisePlanDetail];
}

class ExercisePlanAddExercise extends ExercisePlanEvent {
  final ExercisePlanDetail exercisePlanDetail;
  const ExercisePlanAddExercise({required this.exercisePlanDetail});

  @override
  List<Object> get props => [exercisePlanDetail];
}
